%define anolis_release 1
%global pypi_name unicodedata2
%global pypi_version 15.1.0
%bcond_with check

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Unicodedata backport updated to the latest Unicode version

License:        Apache-2.0
URL:            http://github.com/fonttools/unicodedata2
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)
BuildRequires:  python3dist(pytest-xdist)
%endif

%description
This module provides access to the Unicode Character Database (UCD)
which defines character properties for all Unicode characters. The
data contained in this database is compiled from the UCD version 13.0.0.

The versions of this package match Unicode versions, so unicodedata2==13.0.0
is data from Unicode 13.0.0.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
This module provides access to the Unicode Character Database (UCD) 
which defines character properties for all Unicode characters. The 
data contained in this database is compiled from the UCD version 13.0.0.

The versions of this package match Unicode versions, so unicodedata2==13.0.0 
is data from Unicode 13.0.0.

%package -n     python3-%{pypi_name}-doc
Summary:        %{summary}

%description -n python3-%{pypi_name}-doc
Doc files for %{name}

%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%pytest -v
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitearch}/%{pypi_name}%{python3_ext_suffix}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python3-%{pypi_name}-doc
%doc README.md

%changelog
* Mon Jan 15 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 15.1.0-1
- update to 15.1.0

* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 15.0.0-1
- init package from upstream
